--- title: "Get URL Activity" slug: "get-url-activity-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-url-activity-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get URL Activity This URL gets the list of activities for given url id. ### Resource URL GET /ntbamonitors/{ntbaId}/showurlactivity/{urlid}? TopN= &timePeriod=&startTime=&endTime= ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ntbaId` | NTBA monitor id | Number | Yes | | `TopN` | Number of top rows, default 50 | Number | No | | `timePeriod` | Duration: can be - LAST_MINUTE - LAST_10_MINUTES - LAST_HOUR - LAST_24_HOURS - CUSTOM Custom incase start and end time is provided | String | No | | `startTime` | Start time in the format: yyyy-MM-dd HH:mm | String | No | | `endTime` | End time in the format: yyyy-MM-dd HH:mm | String | No | | `urlId` | URL id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `urlActivities` | List of urls | Array | Details of urlActivities: | Field Name | Description | Data Type | | --- | --- | --- | | `srcEndpoint` | Endpoint | String | | `srcReputation` | Reputation | Number | | `srcZone` | Source zone | String | | `srcCountry` | Source country | String | | `destEndpoint` | Dest endpoint | String | | `destReputation` | Dest reputation | String | | `destZone` | Dest zone | String | | `destCountry` | Dest country | String | | `action` | Action | String | | `lastAccessed` | Last accessed | String | ### Example **Request** GET [https:///sdkapi/ntbamonitors/1006/showurlactivity /8390917?timePeriod=CUSTOM&startTime=2012-APR-20](https://<NSM_IP>/sdkapi/ntbamonitors/1006/showurlactivity%20/8390917?timePeriod=CUSTOM&startTime=2012-APR-20) **Response** ``` {"urlActivities": [{ "srcEndpoint":"16843018", "srcReputation":"Not Queried", "srcZone":"Default Inside Zone", "srcCountry":"---", "destEndpoint":"16843017", "destReputation":"Minimal Risk", "destZone":"Default Outside Zone", "destCountry":"Malaysia", "action":"URL Accessed", "lastAccessed":"2013-08-20 06:15:18"} ] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id | | 7 | 400 | 4307 | Invalid url id or no activities |